API referenceEndpointsTopics
Create a topic
Creates a subscription topic with its default opt-in.
Authorization
apiKey AuthorizationBearer <token>
An API key from the dashboard (ms_…), sent as Authorization: Bearer. A sending-only key reaches the /emails routes only.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/topics" \ -H "Content-Type: application/json" \ -d '{ "name": "Product updates", "description": "News about features and releases", "default_subscription": "opt_in", "visibility": "public" }'{ "id": "ae2014de-c168-4c61-8267-70d2662a1ce1", "name": "Order updates", "description": "Shipping and delivery updates", "default_subscription": "opt_in", "visibility": "private", "created_at": "2026-10-19T12:00:00.000Z"}